require "kipalog_api/version"

module KipalogAPI
  class << self
    def configure
      yield(config)
    end

    def config
      @config ||= Configuration.new
    end
  end

  class RequestError < ::StandardError; end
end

require 'kipalog_api/configuration'
require 'kipalog_api/post'
require 'kipalog_api/response'
require 'kipalog_api/api_client'

